%define upstream_name Time-Mock
%define upstream_version v0.0.2

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Shift and scale time
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build) >= 0.400.400

BuildArch:	noarch

%description
Shift and scale time.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.0.2-7.mga10
+ Revision: 2201157
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.0.2-6.mga9
+ Revision: 1806474
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.0.2-5.mga8
+ Revision: 1497846
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.0.2-4.mga7
+ Revision: 1272377
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.0.2-3.mga6
+ Revision: 1035290
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.0.2-2.mga6
+ Revision: 967954
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.0.2-1.mga6
+ Revision: 850827
- imported package perl-Time-Mock

